<?php
/**
 * @package Editor_Dir_Button
 * @author Dotan Dimet
 * @version 0.1
 */
/*
Plugin Name: Editor Directionality Button
Plugin URI: http://corky.net/dotan/log
Description: Enable the TinyMCE directionality plugin in Wordpress with non-RTL locales. Made for Wordpress 2.7
Author: Dotan Dimet
Version: 0.1
Author URI: http://corky.net/dotan
*/

/* 
This is copied directly from _mce_set_direction, defined in 
wp-includes/functions.php. It just removes the test for the locale.
*/
function editor_dir_button_mce_set_direction( $input ) {
#	global $wp_locale;

#	if ( 'rtl' == $wp_locale->text_direction ) {
		$input['directionality'] = 'ltr';
		$input['plugins'] .= ',directionality';
		$input['theme_advanced_buttons1'] .= ',rtl';
#	}

	return $input;
}

add_filter('tiny_mce_before_init', 'editor_dir_button_mce_set_direction');
?>
